import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'dataCommunicationManage/s7Net/netConn/insert',
    method: 'post',
    data
  })
}

export function edit(data) {
  return request({
    url: 'dataCommunicationManage/s7Net/netConn/update',
    method: 'post',
    data
  })
}

export function del(data) {
  return request({
    url: 'dataCommunicationManage/s7Net/netConn/delete',
    method: 'post',
    data
  })
}

export function refreshDriver() {
  return request({
    url: 'dataCommunicationManage/s7Net/netConn/refreshDriver',
    method: 'post',
    timeout: 10000
  })
}

export default { add, edit, del, refreshDriver }
